const encryptApiList = [
  {
    api: 'DataColumnApi/getOptions',
    key: ['filterSql'],
  },
  {
    api: 'UnifiedServicePatternApi/updateForm',
  },
  {
    api: 'SqlManageEntityApi/add',
  },
  {
    api: 'DataObjApi/addFormData',
  },
  {
    api: 'DataColumnApi/add',
  },
  {
    api: 'DataColumnApi/getLabels',
    key: ['allValues'],
    filterEmpty: ['allValues'],
    setNull: true, // 置空这个字段
  },
  {
    api: 'DataColumnApi/getSqlOptions',
    key: ['allValues', 'sqlKey'],
    filterEmpty: ['allValues'],
    query: true, // 调另外一个接口查询这个的替换值
  },
  {
    api: 'DataColumnApi/getSqlLabels',
    key: ['allValues'],
    filterEmpty: ['allValues'],
    query: true,
  },
  {
    api: 'DataColumnApi/getSqlData',
    key: ['allValues', 'sqlKey'],
    filterEmpty: ['sqlKey'],
    query: true,
  },
  {
    api: 'DataColumnApi/getSqlColumn',
    key: ['json'],
  },
  {
    api: 'DataRightApi/add',
    key: ['filterSql'],
    // filterEmpty: ['filterSql'],
  },
  {
    api: 'DataRightApi/addBatch',
    key: ['filterSql'],
  },
  {
    api: 'DataObjApi/add',
    key: ['sqlScript'],
  },
  {
    api: 'DataObjApi/getFormDataList',
    key: ['custom'],
  },
  {
    api: 'DataObjApi/exportWord',
    key: ['params'],
  },
  {
    api: 'DataObjApi/getFormDataPage',
    key: ['sql', 'custom'],
    filterEmpty: ['sql', 'custom'],
    yinShe: {
      sql: 's',
      query: 'chaxun',
      querys: 'chaxuns',
      sorter: 'paixu',
      orders: 'paixus',
    },
  },
  {
    api: 'UserApi/getPage',
    key: ['addSignSql'],
  },
  {
    api: 'UnifiedAppFormApi/examineProcess',
    key: ['taskForm'],
  },
  {
    api: 'UnifiedAppFormApi/saveDraft',
    key: ['content'],
  },
  {
    api: 'UnifiedAppFormApi/startProcess',
    key: ['content'],
  },
  {
    api: 'UnifiedAppFormApi/startProcessByService',
    key: ['content'],
  },
  {
    api: 'UnifiedAppFormApi/getHandleUser',
    key: ['content'],
  },
  {
    api: 'SqlManageEntityApi/findParamsKey',
    key: ['sqlKey'],
  },
  {
    api: 'UnifiedServiceApi/config', // 禅道 25034 宿舍管理/宿舍维修审核，2021030576L 加个字段 做个字段排序
    key: ['config'],
  },
];

export default encryptApiList;
