import React from 'react';
import moment from 'moment';
import {Modal, message, notification, Tooltip, Spin, Popover, Popconfirm} from 'antd';

import { giveFilePostDataInfoForTrue } from '@/webPublic/one_stop_public/Base16';


export function giveSmartFormGlobalProps({
                                           fromStart = false,
                                           hasSingle = false,
                                           isHandle = false,
                                           onlyRead = false, // 是否此表单所有组件只读
                                           taskCells = [],
                                           data = {},
                                           nextUsers = {}, //
                                           calculateFlowData = [], // 移动端使用 用于分块块  禅道 23933 移动端全表单后审核步骤的显示问题优化
                                         }) {

  window.smartFormGlobalProps = {
    fromStart,
    hasSingle,
    isHandle,
    taskCells,
    data,
    nextUsers,
    calculateFlowData,
    onlyRead,
    apiList: {
      giveFilePostDataInfoForTrue,
      remark: 'giveFilePostDataInfoForTrue(params, url); 将接口参数 二进制文件化 并返回新的接口地址与参数',
    },
    publicComponent: {
      React,
      Modal,
      message,
      notification,
      Tooltip,
      Spin,
      Popover,
      Popconfirm,
      moment,
    },
  };
  return true;
}
